﻿@model IEnumerable<WebFBX.Models.FotosModels>
@{
    ViewBag.Title = "Productos Frescos";
    Layout = "~/Views/Shared/_Layout.cshtml";
    int fila = 0;
    string url_foto = "";
    string host = ViewData["HostUrl"].ToString();
    string codigo_p = ViewData["codigo"].ToString();
    string url_web = "https://" + host + "/Productos2/DetalleProducto/?codp=" + codigo_p;
    string url_hrf_facebook = "https://www.facebook.com/sharer/sharer.php?u=https%3A%2F%2F" + host + "%2FProductos%2FDetalleProducto%2F%3Fcodp%3D" + codigo_p + "&amp;src=sdkpreparse";
    string url_twitter = "https://twitter.com/share?url=" + url_web;
    string url_facebook = "https://twitter.com/share?url=" + url_web;
    string url_whatsApps = "whatsapp://send?text=" + url_web;
    string arroba = "@";
    double cantidaddesde = Convert.ToDouble(ViewData["cantidaddesde"]);
    double precio = Convert.ToInt32(ViewData["precio"]);
    int decimales = 0;

    if (cantidaddesde.ToString().Replace(",", ".").IndexOf(".") != -1)
    {
        string parte_decimal = cantidaddesde.ToString().Replace(",", ".").Split('.')[1];
        if (int.Parse(parte_decimal) > 0)
        {
            decimales = 1;
        }
    }
}
<input id="cantidad_carrito_ss" value="@Session["contador"]" type="hidden" />
<input id="cantidaddesde" value="@cantidaddesde.ToString().Replace(",",".")" type="hidden" />
<input id="precio_original" value="@precio.ToString().Replace(",",".")" type="hidden" />
<input id="cod_pre" value="@ViewData["indpresentacion"]" type="hidden" />

@*<div class="modal fade" id="modal_carrito_vaciar" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog_eliminar modal-dialog-centered d-flex">
        <div class="modal-content">
            <div class="modal-header header_modal_danger">
                <h3 class="modal-title titulo_modal_h3" id="myModalLabel_vaciar_carrito">Vaciar Carrito</h3>
                <button id="close_modal_vaciar" type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>

            </div>
            <div class="modal-body">
                ¿Está seguro de vaciar el carrito?<br />
                <br />
                <div class="form-horizontal">
                    <div class="modal-footer">
                        <button type="button" class="btn btn-primary pull-left" data-dismiss="modal">Cancelar</button>
                        <input id="btn_vaciar_carro" type="submit" class="btn btn-danger" value="Vaciar" />
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>*@

<div class="container_productos">
    <div class="form-group">
        <div class="row">
            <div class="col-lg-2">
            </div>
            <div class="col-lg-8 contener_catalogo_detalle">
                <br />
                <h2 id="titulo_catalogo">@ViewBag.Title</h2>
                <div>
                    @*<input type="text" class="form-control" id="input_busqueda" placeholder="Buscar Familia de Productos...">
                        <button class="btn_delete bg-transparent btn-xs" id="limpiar_busqueda" style="margin-left: -40px; z-index: 100;">
                            <i class="fa fa-times"></i>
                        </button>
                        <button type="button" class="btn btn-primary" id="buscar"><i class="fas fa-search"></i></button>*@
                    <button type="button" class="btn btn-primary" style="background-color:transparent;border: #fff solid"><i class="fas fa-search"></i></button>
                    <button class="btn btn-danger float-right" type="button" id="vaciar_carrito" title="Vaciar Carrito">
                        <i class="fas fa-trash"></i>
                    </button>
                    <button class="btn btn-success float-right" type="button" id="ver_carrito" title="Ver Carrito">
                        <i class="fas fa-shopping-cart shopping-cart"></i><span id="cantidad_carrito">(0)</span>
                    </button>

                </div>
                <div id="Partial_ListadoProductos">


                    <div class="row">
                        <div class="col-lg-5">


                            <div class="sp-loading"><img src="@Url.Content("~/img/sp-loading.gif")" alt="" style="z-index:1000"><br>Cargando imagenes</div>
                            <div class="sp-wrap ">
                                @if (Model.Count() > 0)
                                {

                                    foreach (var item in Model)
                                    {
                                        fila++;
                                        if (fila == 1)
                                        {
                                            url_foto = item.rutafoto;
                                        }

                                        <a href="@Url.Content(item.rutafoto)">
                                            <img src="@Url.Content(item.rutafoto)" alt="">

                                        </a>
                                    }
                                }
                                else
                                {
                                    <a href="@Url.Content("~/img/imagen_sin_foto.png")"><img src="@Url.Content("~/img/imagen_sin_foto.png")" alt=""></a>
                                    url_foto = "~/img/imagen_sin_foto.png";
                                }
                            </div>
                        </div>
                        <div class="col-lg-7">
                            <div class="row">
                                <div class="col-lg-12">
                                    @if (Convert.ToInt32(ViewData["agotado"]) == 1)
                                    {
                                        <span class="agotado_detalle">(Agotado)</span><span id="prodnombre" class="titulodetalleprod">@ViewData["nombre"] </span>

                                    }
                                    else if (Convert.ToInt32(ViewData["ofertavigente"]) == 1)
                                    {
                                        <span class="oferta_detalle">(Oferta)</span><span id="prodnombre" class="titulodetalleprod">@ViewData["nombre"] </span>
                                    }
                                    else
                                    {
                                        <span id="prodnombre" class="titulodetalleprod" style="font-weight:bold">@ViewData["nombre"]</span>
                                    }

                                </div>
                            </div>
                            <div class="row" style="display:none">
                                <div class="col-lg-12">
                                    <div id="prodcodigo" class="itemdetalleprod">Codigo: @ViewData["codigo"]</div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12 form-inline">
                                    @if (Convert.ToInt32(ViewData["ofertavigente"]) == 1)
                                    {
                                        <div class="precio_tachado" id="prodpreciooriginal"> @Convert.ToInt32(ViewData["preciooriginal"]).ToString("N0") $</div>
                                    }<div id="prodprecio_detalle" class="itemdetalleprod">
                                        $ @Convert.ToInt32(ViewData["precio"]).ToString("N0")
                                    </div>
                                    <input type="hidden" id="precio_hidden_detalle" value="@ViewData["precio"]" />
                                </div>
                            </div>
                            <input type="hidden" id="presentacion_hidden_det" value="@ViewData["indpresentacion"]" />
                            <input type="hidden" id="cabezaesquelon_hidden_det" value="@ViewData["indcabezaesquelon"]" />
                            <input type="hidden" id="codigo_hidden_det" value="@ViewData["codigo"]" />
                            <input type="hidden" id="nombre_hidden_det" value="@ViewData["nombre"]" />

                            <div class="row form-inline">
                                <div class="col-3 col-lg-4">
                                    <div id="produnidad" class="itemdetalleprod">Unidad: @ViewData["unidad"]</div>
                                </div>
                                @if (Convert.ToInt32(ViewData["pesogrs"]) > 0)
                                {
                                    <div class="col-9 col-lg-8">
                                        <div id="prodpeso_grs" class="itemdetalleprod">@ViewData["pesogrs"] grs</div>
                                    </div>
                                }
                            </div>

                            @if (Convert.ToInt32(ViewData["agotado"]) == 0)
                            {
                                <div class="row">
                                    <div class="col-lg-12">
                                        <div id="proddisponible_stock" class="itemdetalleprod"><i>Disponible</i></div>
                                    </div>
                                </div>
                            }
                            else
                            {

                            }
                            <div class="row">
                                <div class="col-lg-12">
                                    <div id="prodobservacion" class="itemdescripcionprod">@ViewData["observaciones"]</div>
                                </div>
                            </div>
                            @if (Convert.ToInt32(ViewData["agotado"]) == 0)
                            {

                                <div class="row">
                                    <div class="col-lg-12">
                                        <button type="button" class="btn btn-success btn-sm letra_boton_celular" id="seguir_comprando" style="margin-bottom:5px">
                                            <span class="fas fa-undo"></span>Seguir Comprando
                                        </button>
                                    </div>
                                </div>
                                if (Convert.ToInt32(ViewData["indpresentacion"]) > 0)
                                {
                                    <div class="row">
                                        <div class="col-lg-12">
                                            <select id="presentacion_detalle" class="form-control form-control-sm itemdetalleprod"></select>
                                        </div>
                                    </div>
                                }


                                if (Convert.ToInt32(ViewData["indcabezaesquelon"]) == 1)
                                {
                                    <div class="row">
                                        <div class="col-lg-12">
                                            <div class="form-check form-check-inline">
                                                <span class="form-check-label itemdetalleprod" for="cabeza_detalle">Cabeza</span>
                                                <input class="form-check-input " type="checkbox" id="cabeza_detalle" value="1">
                                            </div>
                                            <div class="form-check form-check-inline">
                                                <span class="form-check-label itemdetalleprod" for="esquelon_edit">Esquelon</span>
                                                <input class="form-check-input" type="checkbox" id="esquelon_detalle" value="1">
                                            </div>
                                        </div>
                                    </div>
                                }
                                <div class="form-group">
                                    <div class="row">
                                        <div class="col-lg-5 col-5">
                                            <div class="input-group">
                                                <span class="input-group-btn">
                                                    <button type="button" class="btn btn-danger btn-number_detalle boton_celular" data-type="minus" data-field="quant[2]">
                                                        <span class="fas fa-minus"></span>
                                                    </button>
                                                </span>
                                                @if (decimales > 0)
                                                {
                                                    <input id="prodcantidad_detalle" type="text" name="quant[2]" class="form-control input-number_detalle text-center form-control-celular" value="@cantidaddesde" min="@cantidaddesde.ToString().Replace(",",".")" onkeypress="return SoloNumerosDecimalesComa(event, '0,1', 9, 1)" max="999">
                                                }
                                                else
                                                {
                                                    <input id="prodcantidad_detalle" type="text" name="quant[2]" class="form-control input-number_detalle text-center form-control-celular" value="@cantidaddesde" min="@cantidaddesde.ToString().Replace(",",".")" onkeypress="return validateEnteroKeyPress(this,event);" maxlength="8" max="999">
                                                }

                                                <span class="input-group-btn">
                                                    <button type="button" class="btn btn-success btn-number_detalle boton_celular" data-type="plus" data-field="quant[2]">
                                                        <span class="fas fa-plus"></span>
                                                    </button>
                                                </span>
                                            </div>
                                        </div>
                                        <div class="col-lg-7 col-7">
                                            <div class="item">
                                                <img src="@Url.Content(url_foto)" alt="" width="0" height="0">

                                                <button type="button" class="btn btn-primary btn-add_cart_detalle boton_celular" data-codigo="@ViewData["codigo"]" data-nombre="@ViewData["nombre"]"
                                                        data-precio="@ViewData["precio"]" data-agotado="@ViewData["agotado"]" data-costo="@ViewData["costo"]" data-unidad="@ViewData["unidad"]"
                                                        data-pesogrs="@ViewData["pesogrs"]" data-inddescripcion="@ViewData["inddescripcion"]" data-cantidaddesde="@cantidaddesde"
                                                        data-indpresentacion="@ViewData["indpresentacion"]" data-indcabezaesquelon="@ViewData["indcabezaesquelon"]">
                                                    Añadir al Pedido
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-4">
                                        <b class="itemdetalleprod">Valor Producto:</b>
                                    </div>
                                    <div class="col-8">
                                        <div id="valor_detalle" style="font-weight:bold" class="itemdetalleprod"></div>

                                    </div>
                                </div>
                            }
                            else
                            {
                                <form id="id_form_lista_espera" method="POST" name="fileinfo" role="form">
                                    <div class="row">
                                        <div class="col-lg-12">
                                            <div class="text-center tituloespera">
                                                LISTA ESPERA
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-12">
                                            <div class="itemdetalleprodespera">
                                                Le informaremos cuando el producto esté disponible. Déjenos a continuación su télefono y dirección de correo electrónico válida
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-12">
                                            <div class="input-group mb-3">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text itemdetalleprod" id="basic-addon1"><i class="fas fa-mobile-alt fa_icon_padding"></i></span>
                                                </div>
                                                <input id="telefonoespera" type="text" class="form-control itemdetalleprod validate[required]" onkeypress="return validateRutKeyPress(this,event);" maxlength="9" placeholder="Telefono" aria-label="Email" aria-describedby="basic-addon1">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-12">
                                            <div class="input-group mb-3">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text itemdetalleprod" id="basic-addon1"><i class="fas fa-user"></i></span>
                                                </div>
                                                <input id="nombreespera" type="text" class="form-control itemdetalleprod validate[required]" placeholder="Nombre" aria-label="Email" aria-describedby="basic-addon1" maxlength="50">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-lg-12">
                                            <div class="input-group mb-3">
                                                <div class="input-group-prepend">
                                                    <span class="input-group-text itemdetalleprod" id="basic-addon1">@arroba</span>
                                                </div>
                                                <input id="correoespera" type="text" class="form-control itemdetalleprod validate[required,custom[ValidaEmail]]" placeholder="Email" aria-label="Email" aria-describedby="basic-addon1" maxlength="50">
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row" style="padding-bottom:3px">
                                        <div class="col-lg-12 text-center">
                                            <button type="button" id="btn_lista_espera" class="btn btn-primary  boton_celular text-center">
                                                Envíar Lista Espera
                                            </button>
                                        </div>
                                    </div>
                                </form>
                            }
                            <div class="form-group">
                                <div class="row">
                                    <div class="col-3 itemdetalleprod">
                                        Compartir:
                                    </div>
                                    <div class="col-9">
                                        <div class="form-inline">
                                            <div class="fb-share-button" data-href="@url_web" data-layout="button_count" data-size="small"><a target="_blank" href="@url_hrf_facebook" class="btn-social_detalle btn-facebook"><i class="ti-facebook" style="font-size:13px"></i></a></div>
                                            <a href="@url_twitter" target="_blank" class="btn-social_detalle btn-twitter"><i class="fab fa-twitter" style="font-size:13px"></i></a>
                                            <a href="@url_whatsApps" target="_blank" class="btn-social_detalle btn-email" data-action="share/whatsapp/share"><i class="fab fa-whatsapp" style="font-size:13px"></i></a>
                                            <a href="https://instagram.com/fbxfresco?igshid=zelba2hrorci" target="_blank" class="btn-social_detalle btn-tumblr"><i class="fab fa-instagram" style="font-size:13px"></i></a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <br />
                        </div>
                    </div>
                    <br />
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="titulodetalleprod"><b>DESCRIPCIÓN</b></div>
                        </div>
                    </div>
                    <br />
                    <div class="row text-center">
                        <br />
                        <div class="col-lg-3 col-6">
                            <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
                                <img src="@Url.Content("~/img/detalle_producto/producto-mas-vendido-60x60.png")" /> <br /><b class="letra_detalle_iconos">Producto más vendido</b>
                            </button>
                        </div>
                        <div class="col-lg-3 col-6">
                            <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
                                <img src="@Url.Content("~/img/detalle_producto/recomendados-por-clientes-60x60.png")" /> <br /><b class="letra_detalle_iconos">Recomendada por clientes</b>
                            </button>
                        </div>
                        <div class="col-lg-3 col-6">
                            <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
                                <img src="@Url.Content("~/img/detalle_producto/hierro-60x60.png")" /> <br /><b class="letra_detalle_iconos">Hierro</b>
                            </button>
                        </div>
                        <div class="col-lg-3 col-6">
                            <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
                                <img src="@Url.Content("~/img/detalle_producto/pescado-sin-espinas-60x60.png")" /> <br /><b class="letra_detalle_iconos">Pescado sin espinas</b>
                            </button>
                        </div>
                    </div>

                    <div class="row text-center">
                        <div class="col-lg-3 col-6">
                            <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
                                <img src="@Url.Content("~/img/detalle_producto/calcio-60x60.png")" /> <br /><b class="letra_detalle_iconos">Calcio</b>
                            </button>

                        </div>
                        <div class="col-lg-3 col-6">
                            <button class="btn btn-lg" style="background-color:transparent;">
                                <img src="@Url.Content("~/img/detalle_producto/vitaminas-60x60.png")" /> <br /><b class="letra_detalle_iconos">Vitaminas</b>
                            </button>

                        </div>
                        <div class="col-lg-3 col-6">
                            <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
                                <img src="@Url.Content("~/img/detalle_producto/proteinas-60x60.png")" /> <br /><b class="letra_detalle_iconos">Proteínas</b>
                            </button>

                        </div>
                        <div class="col-lg-3 col-6">
                            <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
                                <img src="@Url.Content("~/img/detalle_producto/magnesio-selenio-60x60.png")" /> <br /><b class="letra_detalle_iconos">Magnesio y Selenio</b>
                            </button>
                        </div>
                        <div class="col-lg-12 col-12">
                            <button class="btn btn-lg" style="background-color:transparent;cursor:inherit">
                                <img src="@Url.Content("~/img/detalle_producto/nutritivo-60x60.png")" /> <br /><b class="letra_detalle_iconos">Nutritivo</b>
                            </button>
                        </div>
                    </div>
                    <input type="hidden" id="indtitulo_video" value="@ViewData["titulovideo"]" />
                    @if (Convert.ToInt32(ViewData["inddescripcion"]) == 1)
                    {
                        <br />
                        <div class="row">
                            <div class="col-lg-12">
                                <div id="prodtitulodescripcion" class="titulodetalleprod"><b>@Html.Raw(ViewData["titulodescripcion"])</b></div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-12">
                                <div id="proddescripcion" class="">@Html.Raw(ViewData["descripcion"])</div>
                            </div>
                        </div>
                        <br />
                        <div class="row">
                            <div class="col-lg-12">
                                <div id="prodtitulovideo" class="titulodetalleprod"><b>@Html.Raw(ViewData["titulovideo"])</b></div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-12">
                                <div id="prodvideo1" class="div_contendor_video">@Html.Raw(ViewData["video1"])</div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-12">
                                <div id="prodvideo2" class="div_contendor_video">@Html.Raw(ViewData["video2"])</div>
                            </div>
                        </div>
                    }


                </div>
            </div>
            <div class="col-lg-2">

            </div>
        </div>
    </div>
</div>

<div id="fb-root"></div>
<script async defer crossorigin="anonymous" src="https://connect.facebook.net/es_LA/sdk.js#xfbml=1&version=v8.0" nonce="uH0sEcVj"></script>


@section scripts{


    <script type="application / ld + json">
        { "@@context" : "https://schema.org/" , "@@type" : "Producto" , "nombre" : "



        CONGRIO DORADO FRESCO ENTERO" , " imagen " : "
        https://www.fishboxchile.cl/productos_img/1531/CONGRIODORADO.png" ,
        "descripción": "- El valor corresponde a 1 kg
        - El pedido final podría variar debido al tamaño del producto requerido.
        - Los pescados se pesan entero y se procesan según requerimiento.
        Solicite y reciba congrio fresco domicilio y prepare su caldillo de congrio, sino un congrio frito con una receta de sabor chileno.",
        "marca": "Fishbox Chile",
        "ofertas": {
        "@@tipo": "Oferta",
        "url": "https://www.fishboxchile.cl/Productos2/DetalleProducto/?codp=1531",
        "priceCurrency": "CLP" ,
        "precio": "4990",
        "priceValidUntil": "2021-02-28",
        "disponibilidad": "https://schema.org/OnlineOnly"
        },
        "aggregateRating": {
        "@@type": "AggregateRating",
        "ratingValue": "5" ,
        "mejor calificación": "5",
        "WorstRating": "1",
        "ratingCount": "1"
        }}
    </script>

    <script src="~/Scripts/productos_google.js" type="application / ld + json"></script>
    <script>
        var cantidad_carro = ($("#cantidad_carrito_ss").val() == "") ? 0 : parseFloat($("#cantidad_carrito_ss").val().toString().replace(",", "."));
        var id_indice = 0;
        var titulo_video = $("#indtitulo_video").val();
        var carrito = [];
        var cantidaddesde = $("#cantidaddesde").val();
        var precio_detalle_desde = parseFloat($("#precio_original").val().replace(/\./g, '').replace(',', '.'));
        var valor_detalle_desde = redondear(parseFloat($("#cantidaddesde").val()) * precio_detalle_desde,0);
        function enviar_lista_espera() {
            var fd = new FormData();
            var codigo = $("#codigo_hidden_det").val();
            var nombre = $("#nombre_hidden_det").val();
            fd.append("producto", codigo);
            fd.append("nombre", nombre);
            fd.append("telefono", $("#telefonoespera").val());
            fd.append("correo", $("#correoespera").val());
            fd.append("nombrecliente", $("#nombreespera").val());

            $.ajax({
                type: "POST",
                url: '/Productos/CreaListaEspera/',
                data: fd,
                DataType: 'json',
                contentType: false,
                processData: false,
                success: function (data) {
                    if (data.retornoJson == 1) {
                        $("#modal_exito").modal("show");
                        $("#exito_modal_msj").html('Ahora estás en lista de espera. Le informaremos tan pronto como estemos nuevamente disponibles.');
                        $("#telefonoespera").val("");
                        $("#correoespera").val("");
                    } else if (data.retornoJson == -1) {
                        $("#modal_error").modal("show");
                        $("#error_modal_msj").html("Error interno: " + data.errorJson);
                    } else if (data.retornoJson == 2) {
                        $("#modal_advertencia").modal("show");
                        $("#advertencia_modal_msj").html("Ud ya ha enviado un correo anteriormente");
                    }

                },
                error: function (XMLHttpRequest, textStatus, errorThrown) {
                    $("#modal_error").modal("show");
                    $("#error_modal_msj").html("Error de Conexión");
                }
            });

        }
        function listarPresentaciondetalle(codigopre) {
            $('#presentacion_detalle').html("<option value='0'>Cargando ...</option>");
            $.getJSON('/Productos/GetPresentacion/?codigopre=' + codigopre, function (data) {
                var items = "<option value='0'>Tipo de corte</option>";
                $("#presentacion_detalle").empty();

                var count = 0;
                $.each(data, function (i, district) {
                    count = 1;
                    items += "<option value='" + district.codigo + "'>" + district.nombre + "</option>";
                });
                if (count == 0) {
                    $('#presentacion_detalle').html("<option value='0'>No hay datos</option>");

                } else {
                    $('#presentacion_detalle').html(items);
                }
            });

        }
        function calculo_cantidadModifica(carrito_m) {
            var totalcantidad = 0;
            for (let fila_m of carrito_m) {
                totalcantidad = totalcantidad + fila_m.cantidad;
            }
            return totalcantidad;
        }
        var getBrowserWidth = function () {
            if (window.innerWidth < 768) {
                // Extra Small Device
                return "xs";
            } else if (window.innerWidth < 991) {
                // Small Device
                return "sm"
            } else if (window.innerWidth < 1199) {
                // Medium Device
                return "md"
            } else {
                // Large Device
                return "lg"
            }
        };
        function llamarAgregarCarritoGuardado() {
            $(".btn-add_cart_detalle").prop("disabled", true);
            $.ajax({
                //async: false,
                type: "POST",
                url: '/Productos/obtieneCarritoGuardado/',
                DataType: 'json',
                contentType: false,
                processData: false,
                success: function (data) {
                    var listaProductos = data.listadoCarritoGuardado;
                    $.each(listaProductos, function (index, item) {//index es el indice
                        var carrito_compras = {
                            id_indice: item.id_indice,
                            codigo: item.codigo,
                            cantidad: parseFloat(item.cantidad.toString().replace(",", ".")),
                            cantidaddesde: parseFloat(item.cantidaddesde.toString().replace(",", ".")),
                            nombre: item.nombre,
                            agotado: parseInt(item.agotado),
                            precio: parseInt(item.precio),
                            costo: parseInt(item.costo),
                            unidad: item.unidad,
                            pesogrs: item.pesogrs,
                            presentacion: parseInt(item.presentacion),
                            cabeza: parseInt(item.cabeza),
                            esquelon: parseInt(item.esquelon),
                            indpresentacion: parseInt(item.indpresentacion),
                            indcabezaesquelon: parseInt(item.indcabezaesquelon),
                            inddescripcion: parseInt(item.inddescripcion),
                            valor: parseInt(item.valor)
                        }
                        carrito.push(carrito_compras);

                    });
                    $(".btn-add_cart_detalle").prop("disabled", false);

                }
            });
        }
        function guardarCarritoSession() {
            cantidad_carro = parseFloat(cantidad_carro.toString().replace(",", "."));
            $.ajax({
                type: "POST",
                async:false,
                url: '@Url.Action("GuardaCarrito", "Productos")',
                data: JSON.stringify({ carrito: carrito, contador: cantidad_carro }),

                contentType: "application/json; charset=utf-8",
                success: function (data) {
                    if(data==1)
                    console.log("carrito guardado en session:");
                },
                error: function (XMLHttpRequest, textStatus, errorThrown) {
                    $("#modal_error").modal("show");
                    $("#error_modal_msj").html("Error de Conexión");

                }
            });
        }
        function borrarcarrito() {
            var retorno = 0;
            $.ajax({
                type: "POST",
                url: '/Productos/VaciarCarrito/',
                contentType: false,
                processData: false,
                DataType: 'json',
                success: function (data) {
                    retorno = data;
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    mostrar_msj_error("Error de conexion: " + errorThrown);
                }
            });
            return retorno;
        }
        $(document).ready(function () {

            if (titulo_video != "") {
                //$(".modal-dialog_eliminar").addClass("modal-dialog_eliminar_max");
                //var device = getBrowserWidth();
                //if (device === "xs") {
                //    $("iframe").removeAttr("width");
                //    $("iframe").removeAttr("height");

                //} else {
                //}
            }

            if (cantidad_carro > 0) {
                $("#cantidad_carrito").html('(' + cantidad_carro.toString().replace(".",",") + ')');
                llamarAgregarCarritoGuardado();
            }
            $("#vaciar_carrito").click(function (e) {
                e.preventDefault();
                $("#modal_carrito_vaciar").modal("show");
            });
            $('#id_form_lista_espera').validationEngine();
            $("#btn_lista_espera").click(function (e) {
                e.preventDefault();
                if (!$("#id_form_lista_espera").validationEngine('validate')) {
                    return false;
                }
                enviar_lista_espera();
            });

            $("#btn_vaciar_carro").click(function (e) {
                e.preventDefault();
                carrito = [];
                cantidad_carro = 0;
                $("#cantidad_carrito").html('(' + cantidad_carro + ')');
                borrarcarrito();
                $("#modal_carrito_vaciar").modal("hide");
                window.location.href = "/Home/Index";

            });
            $("#seguir_comprando").click(function (e) {
                e.preventDefault();
                window.location.href = "/Home/Index/?detalle=1";
            });

            $("#ver_carrito").click(function (e) {
                e.preventDefault();
                if (cantidad_carro > 0) {
                    //guardarCarritoSession();
                    window.location.href = "/Home/Index";
                }
            });

            $("#valor_detalle").html(Moneda(valor_detalle_desde.toString()));
            $.ajaxSetup({ async: false });
            var pre = $("#cod_pre").val();
            listarPresentaciondetalle(pre);
            $.ajaxSetup({ async: true });
            var codigo = $("#codigo_hidden_det").val().toString();
            var pos = carrito.findIndex(i =>
                i.codigo === codigo);

            if (parseInt($("#presentacion_hidden_det").val()) == 1) {
                if (pos !== -1) {
                    $("#presentacion_detalle").val(carrito[pos].presentacion);
                }
            }
            if (parseInt($("#cabezaesquelon_hidden_det").val()) == 1) {
                if (pos !== -1) {
                    if (carrito[pos].cabeza == 1) {
                        $("#cabeza_detalle").prop("checked", true);
                    }
                    if (carrito[pos].esquelon == 1) {
                        $("#esquelon_detalle").prop("checked", true);
                    }
                }
            }

            $('.sp-wrap').smoothproducts();


            $("#seguir_comprando").click(function (e) {
                e.preventDefault();
                listado_de_familias("");

            });
        });
        $('.btn-number_detalle').click(function (e) {
            e.preventDefault();
            fieldName = $(this).attr('data-field');
            type = $(this).attr('data-type');
            var input = $("input[name='" + fieldName + "']");
            var cant_desde = parseFloat(cantidaddesde);
            var currentVal = cant_desde;// parseInt(input.val());
            var valor_input = parseFloat($('.input-number_detalle').val().replace(",","."));
            var valor_plus = valor_input + cant_desde;
            var valor_minus = valor_input - cant_desde;

            if (!isNaN(currentVal)) {
                if (type == 'minus') {

                    if (valor_input > cant_desde) {
                        input.val(valor_minus.toString().replace(".", ",")).change();
                    }
                    if (parseInt(input.val()) == input.attr('min')) {
                        $(this).attr('disabled', true);
                    }

                } else if (type == 'plus') {

                    if (currentVal < input.attr('max')) {
                        input.val(valor_plus.toString().replace(".",",")).change();
                    }
                    if (parseInt(input.val()) == input.attr('max')) {
                        $(this).attr('disabled', true);
                    }

                }
            } else {
                input.val(0);
            }
        });
        $('.input-number_detalle').focusin(function () {
            $(this).data('oldValue', $(this).val());
        });
        $('.input-number_detalle').change(function () {
            if ($('.input-number_detalle').val() == "") {
                return false;
            }
            var cantidad = parseFloat($(this).val().replace(",", "."));
            if (cantidad < parseFloat(cantidaddesde)) {
                $('.input-number_detalle').val("");
                $("#modal_error").modal("show");
                $("#error_modal_msj").html("La cantidad mímina a ingresar es de: " + cantidaddesde.toString().replace(".",","));
                $("#ajax_loader_2").css("display", "none");
                return false;
            }

            var precio = parseFloat($("#precio_hidden_detalle").val());
            var valor = cantidad * precio;
            minValue = parseInt($(this).attr('min'));
            maxValue = parseInt($(this).attr('max'));
            valueCurrent = parseInt($(this).val());

            name = $(this).attr('name');
            if (valueCurrent >= minValue) {
                $(".btn-number_detalle[data-type='minus'][data-field='" + name + "']").removeAttr('disabled')
            } else {
                alert('Sorry, the minimum value was reached');
                $(this).val($(this).data('oldValue'));
            }
            if (valueCurrent <= maxValue) {
                $(".btn-number_detalle[data-type='plus'][data-field='" + name + "']").removeAttr('disabled')
            } else {
                alert('Sorry, the maximum value was reached');
                $(this).val($(this).data('oldValue'));
            }

            $("#valor_detalle").html("$ " + Moneda(valor));
        });
        //$(".input-number_detalle").keydown(function (e) {
        //    // Allow: backspace, delete, tab, escape, enter and .
        //    if ($.inArray(e.keyCode, [46, 8, 9, 27, 13, 190]) !== -1 ||
        //        // Allow: Ctrl+A
        //        (e.keyCode == 65 && e.ctrlKey === true) ||
        //        // Allow: home, end, left, right
        //        (e.keyCode >= 35 && e.keyCode <= 39)) {
        //        // let it happen, don't do anything
        //        return;
        //    }
        //    // Ensure that it is a number and stop the keypress
        //    if ((e.shiftKey || (e.keyCode < 48 || e.keyCode > 57)) && (e.keyCode < 96 || e.keyCode > 105)) {
        //        e.preventDefault();
        //    }
        //});
    </script>
    @Scripts.Render("~/bundles/spinner")
    @Scripts.Render("~/bundles/carrito")
}
